> For the complete documentation index, see [llms.txt](https://api-docs.rightsline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.rightsline.com/workflow/get-workflow-action-details.md).

# Get workflow action details

## Get workflow action details

<mark style="color:blue;">`GET`</mark> `https://ris.rightsline.com/v4/processes/:processID/actions/:actionID`

This endpoint allows you to retrieve workflow actions for a given workflow process.

#### Path Parameters

| Name                                        | Type | Description              |
| ------------------------------------------- | ---- | ------------------------ |
| processID<mark style="color:red;">\*</mark> | int  | The workflow process ID. |
| actionID<mark style="color:red;">\*</mark>  | int  | The workflow action ID.  |

#### Headers

| Name                                             | Type   | Description             |
| ------------------------------------------------ | ------ | ----------------------- |
| x-api-key<mark style="color:red;">\*</mark>      | string | Your company's API key. |
| Authentication<mark style="color:red;">\*</mark> | string | Authentication token.   |

{% tabs %}
{% tab title="200 Workflow action retrieved successfully." %}

```json
{
    "actionId": 16,
    "actionName": "Greenlit",
    "actionDescription": "Record is Greenlit",
    "isInitialAction": false,
    "resultingStatus": "Greenlit",
    "sequenceNumber": 1,
    "updateCurrencyConversion": true,
    "documentOption": {
        "documentOptionId": 0,
        "documentOptionName": "None"
    },
    "extensions": [
        {
            "name": "usp_wf_CreateRecordAmendment",
            "type": "Stored Proc"
        }
    ],
    "associatedRoles": [
        {
            "roleId": 1,
            "roleName": "External User"
        },
        {
            "roleId": 2,
            "roleName": "Admin User"
        },
        {
            "roleId": 3,
            "roleName": "Super Admin"
        },
        {
            "roleId": 6,
            "roleName": "Full User"
        }
    ],
    "chainedActions": [
        {
            "processId": 5,
            "actionId": 2
        }
    ],
    "roleNotifications": [
        {
            "roleId": 20,
            "notificationId": 466
        }
    ],
    "partyNotifications": [
        {
            "partyId": 10,
            "notificationId": 200
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/workflow/get-workflow-action-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
